# bson_iter_overwrite_decimal128()

## Synopsis

    bool
    bson_iter_overwrite_decimal128 (bson_iter_t *iter, const bson_decimal128_t *value);

## Parameters

- `iter`: A bson_iter_t.

- `value`: The new Decimal128 value.

## Description

The bson_iter_overwrite_decimal128() function shall overwrite the contents of a BSON_TYPE_DECIMAL128 element in place.

This may only be done when the underlying bson document allows mutation.

It is a programming error to call this function when `iter` is not observing an element of type BSON_TYPE_DECIMAL128.